#include <cstdlib>
#include <iostream>

using namespace std;

int main()
{
    cerr << "Temperatures!" << endl;

    //declaration
    const int MaxN=100;
    const int MinTemp=-100;
    const int MaxTemp=100;
    int N;
    double temps[MaxN];
    bool monoton;
    bool exist;
    int index;
    //input
    bool error=false;
    do {
        cerr << "N=? :";
        string tmp;
        cin >> tmp;
        N=atoi(tmp.c_str());
        error=( //((N==0) && (tmp.substr(0,1)!="0")) ||
                (N<2) || (N>MaxN));
        if (error) {
            cerr << "  ERROR! N must be a number between 2 and " << MaxN << endl;
        }
    } while (error);

    for (int i=1;i<=N;i++) {
        error=false;
        do {
            cerr << "temps["<< i <<"]=? :";
            string tmp;
            cin >> tmp;
            temps[i-1]=atof(tmp.c_str());
            error=(((temps[i-1]==0) && (tmp.substr(0,1)!="0")) ||
                   (temps[i-1]<MinTemp) ||
                   (MaxTemp<temps[i-1])
                  );
            if (error) {
                cerr << "  ERROR! temperatures must be a number between " << MinTemp << " and " << MaxTemp << endl;
            }
        } while (error);
    }
    //algorithm 1
    int i=2;
    while ((i<=N) && (temps[i-1]>temps[i-1-1])) {
        i++;
    }
    monoton=(i>N);
    //output 1
    if (monoton) {
        cout << "MONOTON INCREASING" << endl;
    } else {
        cout << "NO" << endl;
    }

    //algorithm 2
    index=1;
    while ((index<=N) && (temps[index-1]>=0)) {
        index++;
    }
    exist=(index<=N);
    //output 2
    if (exist) {
        cout << index << endl;
    } else {
        cout << "-1" << endl;
    }

    return 0;
}
